
TYPO3.Neos - Task # 45464

Status: Resolved Priority: Should have
Author: Adrian Föder Category:
Created: 2013-02-13 Assigned To: Adrian Föder
Updated: 2013-04-28 Due date:
Subject: Allow string node paths in node link/uri ViewHelpers as DocCommented
Description

the DocComment of Neos' link.node and uri.node says also a node path was accepted which is currently not true.

Associated revisions
Revision 95bdd493 - 2013-04-26 12:21 - Adrian Föder

[TASK] Allow also node paths for Uri- and Link-NodeViewHelpers

As already being annotated, this patch allows also string node
paths as input argument, for example::

&lt;n:link.node node="/main/example/imprint"&gt;Imprint&lt;/n:link.node&gt;

Possible are paths beginning with ``/``, considered
as an absolute node path; paths starting with a ~,
interpreted as node paths inside the current site scope;
and those without a leading slash, interpreted
as relative node paths where the first part is considered a
child of the current node.

Change-Id: If00fd173c4ff15d1576444198b6343d346580de1
Resolves: #45464

History
#1 - 2013-02-13 17:20 - Adrian Föder
- Status changed from New to Accepted

#2 - 2013-02-14 10:07 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#3 - 2013-02-14 10:07 - Adrian Föder
- Status changed from Accepted to Under Review

#4 - 2013-02-28 20:43 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#5 - 2013-02-28 20:45 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#6 - 2013-03-13 14:00 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#7 - 2013-03-23 13:24 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#8 - 2013-03-23 13:25 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#9 - 2013-03-26 12:03 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#10 - 2013-03-28 14:54 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#11 - 2013-04-16 10:09 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#12 - 2013-04-16 10:32 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#13 - 2013-04-16 15:32 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#14 - 2013-04-17 16:46 - Gerrit Code Review
Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#15 - 2013-04-18 14:16 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#16 - 2013-04-26 12:22 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18257

#17 - 2013-04-28 22:35 - Adrian Föder
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:95bdd4936b6cc3ed811c6faf83fea4dda9a8713c.
